CmPeersResourceApi (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger

## Class CmPeersResourceApi

- java.lang.Object
- - com.cloudera.api.swagger.CmPeersResourceApi

-     public class CmPeersResourceApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CmPeersResourceApi()`
    `CmPeersResourceApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiCmPeer` | `createPeer(ApiCmPeer body)` Create a new Cloudera Manager peer.
    `com.squareup.okhttp.Call` | `createPeerAsync(ApiCmPeer body, ApiCallback<ApiCmPeer> callback)` Create a new Cloudera Manager peer.
    `com.squareup.okhttp.Call` | `createPeerCall(ApiCmPeer body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for createPeer
    `ApiResponse<ApiCmPeer>` | `createPeerWithHttpInfo(ApiCmPeer body)` Create a new Cloudera Manager peer.
    `ApiCmPeer` | `deletePeer(String peerName, String type)` Delete Cloudera Manager peer.
    `com.squareup.okhttp.Call` | `deletePeerAsync(String peerName, String type, ApiCallback<ApiCmPeer> callback)` Delete Cloudera Manager peer.
    `com.squareup.okhttp.Call` | `deletePeerCall(String peerName, String type, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for deletePeer
    `ApiResponse<ApiCmPeer>` | `deletePeerWithHttpInfo(String peerName, String type)` Delete Cloudera Manager peer.
    `ApiClient` | `getApiClient()`
    `ApiCmPeerList` | `listPeers()` Retrieves all configured Cloudera Manager peers.
    `com.squareup.okhttp.Call` | `listPeersAsync(ApiCallback<ApiCmPeerList> callback)` Retrieves all configured Cloudera Manager peers.
    `com.squareup.okhttp.Call` | `listPeersCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for listPeers
    `ApiResponse<ApiCmPeerList>` | `listPeersWithHttpInfo()` Retrieves all configured Cloudera Manager peers.
    `ApiCmPeer` | `readPeer(String peerName, String type)` Fetch information about an existing Cloudera Manager peer.
    `com.squareup.okhttp.Call` | `readPeerAsync(String peerName, String type, ApiCallback<ApiCmPeer> callback)` Fetch information about an existing Cloudera Manager peer.
    `com.squareup.okhttp.Call` | `readPeerCall(String peerName, String type, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readPeer
    `ApiResponse<ApiCmPeer>` | `readPeerWithHttpInfo(String peerName, String type)` Fetch information about an existing Cloudera Manager peer.
    `void` | `setApiClient(ApiClient apiClient)`
    `ApiCommand` | `testPeer(String peerName, String type)` Test the connectivity of a peer.
    `com.squareup.okhttp.Call` | `testPeerAsync(String peerName, String type, ApiCallback<ApiCommand> callback)` Test the connectivity of a peer.
    `com.squareup.okhttp.Call` | `testPeerCall(String peerName, String type, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for testPeer
    `ApiResponse<ApiCommand>` | `testPeerWithHttpInfo(String peerName, String type)` Test the connectivity of a peer.
    `ApiCmPeer` | `updatePeer(String peerName, ApiCmPeer body)` Update information for a Cloudera Manager peer.
    `com.squareup.okhttp.Call` | `updatePeerAsync(String peerName, ApiCmPeer body, ApiCallback<ApiCmPeer> callback)` Update information for a Cloudera Manager peer.
    `com.squareup.okhttp.Call` | `updatePeerCall(String peerName, ApiCmPeer body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for updatePeer
    `ApiResponse<ApiCmPeer>` | `updatePeerWithHttpInfo(String peerName, ApiCmPeer body)` Update information for a Cloudera Manager peer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CmPeersResourceApi

          public CmPeersResourceApi()

    - #### CmPeersResourceApi

          public CmPeersResourceApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### createPeerCall

          public com.squareup.okhttp.Call createPeerCall(ApiCmPeer body,
                                                         ProgressResponseBody.ProgressListener progressListener,
                                                         ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                  throws ApiException

      Build call for createPeer
      Parameters:
        `body` - Peer to create (see above). (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### createPeer

          public ApiCmPeer createPeer(ApiCmPeer body)
                               throws ApiException

      Create a new Cloudera Manager peer. Create a new Cloudera Manager peer. <p> The remote server will be contacted so that a user can be created for use by the new peer. The <i>username</i> and <i>password</i> properties of the provided peer object should contain credentials of a valid admin user on the remote server. A timeout of 10 seconds is enforced when contacting the remote server. <p> It is recommended to run the remote server with TLS enabled, since creating and using peers involve transferring credentials over the network. <p> Available since API v3. Only available with Cloudera Manager Enterprise Edition. <p> Type field in ApiCmPeer is available since API v11. if not specified when making createPeer() call, 'REPLICATION' type peer will be created.
      Parameters:
        `body` - Peer to create (see above). (optional)
      Returns:
        ApiCmPeer
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### createPeerWithHttpInfo

          public ApiResponse<ApiCmPeer> createPeerWithHttpInfo(ApiCmPeer body)
                                                        throws ApiException

      Create a new Cloudera Manager peer. Create a new Cloudera Manager peer. <p> The remote server will be contacted so that a user can be created for use by the new peer. The <i>username</i> and <i>password</i> properties of the provided peer object should contain credentials of a valid admin user on the remote server. A timeout of 10 seconds is enforced when contacting the remote server. <p> It is recommended to run the remote server with TLS enabled, since creating and using peers involve transferring credentials over the network. <p> Available since API v3. Only available with Cloudera Manager Enterprise Edition. <p> Type field in ApiCmPeer is available since API v11. if not specified when making createPeer() call, 'REPLICATION' type peer will be created.
      Parameters:
        `body` - Peer to create (see above). (optional)
      Returns:
        ApiResponse<ApiCmPeer>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### createPeerAsync

          public com.squareup.okhttp.Call createPeerAsync(ApiCmPeer body,
                                                          ApiCallback<ApiCmPeer> callback)
                                                   throws ApiException

      Create a new Cloudera Manager peer. (asynchronously) Create a new Cloudera Manager peer. <p> The remote server will be contacted so that a user can be created for use by the new peer. The <i>username</i> and <i>password</i> properties of the provided peer object should contain credentials of a valid admin user on the remote server. A timeout of 10 seconds is enforced when contacting the remote server. <p> It is recommended to run the remote server with TLS enabled, since creating and using peers involve transferring credentials over the network. <p> Available since API v3. Only available with Cloudera Manager Enterprise Edition. <p> Type field in ApiCmPeer is available since API v11. if not specified when making createPeer() call, 'REPLICATION' type peer will be created.
      Parameters:
        `body` - Peer to create (see above). (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### deletePeerCall

          public com.squareup.okhttp.Call deletePeerCall(String peerName,
                                                         String type,
                                                         ProgressResponseBody.ProgressListener progressListener,
                                                         ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                  throws ApiException

      Build call for deletePeer
      Parameters:
        `peerName` - Name of peer to delete. (required)
        `type` - Type of peer to delete. If null, REPLICATION peer type will be deleted. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### deletePeer

          public ApiCmPeer deletePeer(String peerName,
                                      String type)
                               throws ApiException

      Delete Cloudera Manager peer. Delete Cloudera Manager peer. <p> An attempt will be made to contact the peer server, so that the configured user can be deleted.. Errors while contacting the remote server are non-fatal. <p> Available since API v11. Only available with Cloudera Manager Enterprise Edition.
      Parameters:
        `peerName` - Name of peer to delete. (required)
        `type` - Type of peer to delete. If null, REPLICATION peer type will be deleted. (optional)
      Returns:
        ApiCmPeer
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deletePeerWithHttpInfo

          public ApiResponse<ApiCmPeer> deletePeerWithHttpInfo(String peerName,
                                                               String type)
                                                        throws ApiException

      Delete Cloudera Manager peer. Delete Cloudera Manager peer. <p> An attempt will be made to contact the peer server, so that the configured user can be deleted.. Errors while contacting the remote server are non-fatal. <p> Available since API v11. Only available with Cloudera Manager Enterprise Edition.
      Parameters:
        `peerName` - Name of peer to delete. (required)
        `type` - Type of peer to delete. If null, REPLICATION peer type will be deleted. (optional)
      Returns:
        ApiResponse<ApiCmPeer>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deletePeerAsync

          public com.squareup.okhttp.Call deletePeerAsync(String peerName,
                                                          String type,
                                                          ApiCallback<ApiCmPeer> callback)
                                                   throws ApiException

      Delete Cloudera Manager peer. (asynchronously) Delete Cloudera Manager peer. <p> An attempt will be made to contact the peer server, so that the configured user can be deleted.. Errors while contacting the remote server are non-fatal. <p> Available since API v11. Only available with Cloudera Manager Enterprise Edition.
      Parameters:
        `peerName` - Name of peer to delete. (required)
        `type` - Type of peer to delete. If null, REPLICATION peer type will be deleted. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### listPeersCall

          public com.squareup.okhttp.Call listPeersCall(ProgressResponseBody.ProgressListener progressListener,
                                                        ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                 throws ApiException

      Build call for listPeers
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### listPeers

          public ApiCmPeerList listPeers()
                                  throws ApiException

      Retrieves all configured Cloudera Manager peers. Retrieves all configured Cloudera Manager peers. <p> Available since API v3. Only available with Cloudera Manager Enterprise Edition. <p> When accessed via API version before v11, only REPLICATION type peers will be returned.
      Returns:
        ApiCmPeerList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### listPeersWithHttpInfo

          public ApiResponse<ApiCmPeerList> listPeersWithHttpInfo()
                                                           throws ApiException

      Retrieves all configured Cloudera Manager peers. Retrieves all configured Cloudera Manager peers. <p> Available since API v3. Only available with Cloudera Manager Enterprise Edition. <p> When accessed via API version before v11, only REPLICATION type peers will be returned.
      Returns:
        ApiResponse<ApiCmPeerList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### listPeersAsync

          public com.squareup.okhttp.Call listPeersAsync(ApiCallback<ApiCmPeerList> callback)
                                                  throws ApiException

      Retrieves all configured Cloudera Manager peers. (asynchronously) Retrieves all configured Cloudera Manager peers. <p> Available since API v3. Only available with Cloudera Manager Enterprise Edition. <p> When accessed via API version before v11, only REPLICATION type peers will be returned.
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readPeerCall

          public com.squareup.okhttp.Call readPeerCall(String peerName,
                                                       String type,
                                                       ProgressResponseBody.ProgressListener progressListener,
                                                       ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                throws ApiException

      Build call for readPeer
      Parameters:
        `peerName` - Name of peer to retrieve. (required)
        `type` - Type of peer to retrieve. If null, REPLICATION peer type will be returned. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readPeer

          public ApiCmPeer readPeer(String peerName,
                                    String type)
                             throws ApiException

      Fetch information about an existing Cloudera Manager peer. Fetch information about an existing Cloudera Manager peer. <p> Available since API v11. Only available with Cloudera Manager Enterprise Edition.
      Parameters:
        `peerName` - Name of peer to retrieve. (required)
        `type` - Type of peer to retrieve. If null, REPLICATION peer type will be returned. (optional)
      Returns:
        ApiCmPeer
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readPeerWithHttpInfo

          public ApiResponse<ApiCmPeer> readPeerWithHttpInfo(String peerName,
                                                             String type)
                                                      throws ApiException

      Fetch information about an existing Cloudera Manager peer. Fetch information about an existing Cloudera Manager peer. <p> Available since API v11. Only available with Cloudera Manager Enterprise Edition.
      Parameters:
        `peerName` - Name of peer to retrieve. (required)
        `type` - Type of peer to retrieve. If null, REPLICATION peer type will be returned. (optional)
      Returns:
        ApiResponse<ApiCmPeer>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readPeerAsync

          public com.squareup.okhttp.Call readPeerAsync(String peerName,
                                                        String type,
                                                        ApiCallback<ApiCmPeer> callback)
                                                 throws ApiException

      Fetch information about an existing Cloudera Manager peer. (asynchronously) Fetch information about an existing Cloudera Manager peer. <p> Available since API v11. Only available with Cloudera Manager Enterprise Edition.
      Parameters:
        `peerName` - Name of peer to retrieve. (required)
        `type` - Type of peer to retrieve. If null, REPLICATION peer type will be returned. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### testPeerCall

          public com.squareup.okhttp.Call testPeerCall(String peerName,
                                                       String type,
                                                       ProgressResponseBody.ProgressListener progressListener,
                                                       ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                throws ApiException

      Build call for testPeer
      Parameters:
        `peerName` - Name of peer to test. (required)
        `type` - Type of peer to test. If null, REPLICATION peer type will be tested. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### testPeer

          public ApiCommand testPeer(String peerName,
                                     String type)
                              throws ApiException

      Test the connectivity of a peer. Test the connectivity of a peer. <p> Available since API v11. Only available with Cloudera Manager Enterprise Edition.
      Parameters:
        `peerName` - Name of peer to test. (required)
        `type` - Type of peer to test. If null, REPLICATION peer type will be tested. (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### testPeerWithHttpInfo

          public ApiResponse<ApiCommand> testPeerWithHttpInfo(String peerName,
                                                              String type)
                                                       throws ApiException

      Test the connectivity of a peer. Test the connectivity of a peer. <p> Available since API v11. Only available with Cloudera Manager Enterprise Edition.
      Parameters:
        `peerName` - Name of peer to test. (required)
        `type` - Type of peer to test. If null, REPLICATION peer type will be tested. (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### testPeerAsync

          public com.squareup.okhttp.Call testPeerAsync(String peerName,
                                                        String type,
                                                        ApiCallback<ApiCommand> callback)
                                                 throws ApiException

      Test the connectivity of a peer. (asynchronously) Test the connectivity of a peer. <p> Available since API v11. Only available with Cloudera Manager Enterprise Edition.
      Parameters:
        `peerName` - Name of peer to test. (required)
        `type` - Type of peer to test. If null, REPLICATION peer type will be tested. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### updatePeerCall

          public com.squareup.okhttp.Call updatePeerCall(String peerName,
                                                         ApiCmPeer body,
                                                         ProgressResponseBody.ProgressListener progressListener,
                                                         ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                  throws ApiException

      Build call for updatePeer
      Parameters:
        `peerName` - Name of peer to update. (required)
        `body` - Updated peer information. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### updatePeer

          public ApiCmPeer updatePeer(String peerName,
                                      ApiCmPeer body)
                               throws ApiException

      Update information for a Cloudera Manager peer. Update information for a Cloudera Manager peer. <p> In administrator credentials are provided in the peer information, they will be used to establish new credentials with the remote server. This can be used in case the old credentials are not working anymore. An attempt will be made to delete the old credentials if new ones are successfully created. <p> If changing the peer's URL, an attempt will be made to contact the old Cloudera Manager to delete the existing credentials. <p> Available since API v3. Only available with Cloudera Manager Enterprise Edition.
      Parameters:
        `peerName` - Name of peer to update. (required)
        `body` - Updated peer information. (optional)
      Returns:
        ApiCmPeer
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updatePeerWithHttpInfo

          public ApiResponse<ApiCmPeer> updatePeerWithHttpInfo(String peerName,
                                                               ApiCmPeer body)
                                                        throws ApiException

      Update information for a Cloudera Manager peer. Update information for a Cloudera Manager peer. <p> In administrator credentials are provided in the peer information, they will be used to establish new credentials with the remote server. This can be used in case the old credentials are not working anymore. An attempt will be made to delete the old credentials if new ones are successfully created. <p> If changing the peer's URL, an attempt will be made to contact the old Cloudera Manager to delete the existing credentials. <p> Available since API v3. Only available with Cloudera Manager Enterprise Edition.
      Parameters:
        `peerName` - Name of peer to update. (required)
        `body` - Updated peer information. (optional)
      Returns:
        ApiResponse<ApiCmPeer>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updatePeerAsync

          public com.squareup.okhttp.Call updatePeerAsync(String peerName,
                                                          ApiCmPeer body,
                                                          ApiCallback<ApiCmPeer> callback)
                                                   throws ApiException

      Update information for a Cloudera Manager peer. (asynchronously) Update information for a Cloudera Manager peer. <p> In administrator credentials are provided in the peer information, they will be used to establish new credentials with the remote server. This can be used in case the old credentials are not working anymore. An attempt will be made to delete the old credentials if new ones are successfully created. <p> If changing the peer's URL, an attempt will be made to contact the old Cloudera Manager to delete the existing credentials. <p> Available since API v3. Only available with Cloudera Manager Enterprise Edition.
      Parameters:
        `peerName` - Name of peer to update. (required)
        `body` - Updated peer information. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2022. All rights reserved.